INTERFACE
SUBROUTINE AER_RAD&
 & ( KIDIA , KFDIA , KLON , KTDIA, KLEV , KACTAERO, KNWAVL, KTWAVL, KSTART, KSTEP,&
 & PAP , PAPH , PQ , PT , PAERO,&
 & PTAUAER, POMGAER, PASYAER&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KACTAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART, KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KNWAVL, KTWAVL(19)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV), PAPH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV) , PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAERO(KLON,KLEV,KACTAERO)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAUAER(KLON,6,KLEV), POMGAER(KLON,6,KLEV), PASYAER(KLON,6,KLEV)
END SUBROUTINE AER_RAD
END INTERFACE
